www.1862.net > CEntos python2.7

CEntos python2.7

一、安装检查 一般在centos中都会默认装一个python,版本不一定,如果是2.7,则安装时只装3.3就可以了(现在最新已经到3.6了,可以装一个3.6版本的) which python #查看当前centos中使用的python解释器位置 python --version #查看当前安装的py...

cd /usr/local/src wget http://www.python.org/ftp/python/2.7.6/Python-2.7.6.tgz tar zxvf Python-2.7.6.tgz cd Python-2.7.6 ./configure make & make install mv /usr/bin/python /usr/bin/python2.6.6 ln -s /usr/local/bin/python2.7 /us...

cd /usr/local/src wget http://www.python.org/ftp/python/2.7.6/Python-2.7.6.tgz tar zxvf Python-2.7.6.tgz cd Python-2.7.6 ./configure make & make install mv /usr/bin/python /usr/bin/python2.6.6 ln -s /usr/local/bin/python2.7 /us...

cd /usr/local/src wget http://www.python.org/ftp/python/2.7.6/Python-2.7.6.tgz tar zxvf Python-2.7.6.tgz cd Python-2.7.6 ./configure make & make install mv /usr/bin/python /usr/bin/python2.6.6 ln -s /usr/local/bin/python2.7 /us...

CentOS 6自带了Python 2.6.6(CentOS 7则自带了Python 2.7)和一些非常好用的功能,如yum。但是,注意不要随便升级自带的Python以免yum不可用。 新版本将安装在/usr/local目录下以避免和自带的版本冲突。 虽然“我”只在64位的CentOS 6.5进行了尝...

终端输入: whereis pip 把这些地方的pip都重命名为pip2.6 重新下载一个pip安装文件,然后用py2.7安装,安装完再py2.7的安装文件夹里找到其对应的pip,建立软连接到 /usr/bin 文件夹里就可以了。

如果需要特定版本的软件,最好不要用包管理器,而是手工编译。 记得指定configure的--prefix选项,防止干扰包管理器安装的版本。

更新python千万不要把老版本的删除!新老版本是可以共存的,很多基本的命令、软件包都要依赖预装的老版本python的,比如yum。 [root@localhost ~]# wget Python-2.7.11.tgz [root@localhost ~]# tar -zxvf Python-2.7.11.tgz [root@localhost ~]...

解决系统 Python 软链接指向 Python2.7 版本后,因为yum是不兼容 Python 2.7的,所以yum不能正常工作,我们需要指定 yum 的Python版本!

python2.7,也就是2版,依然是一种长期支持的稳定版,是传统python; 而python3.X版本是一个研究型的开发版,当它足够稳定的时候,python将全面迁移到 python4版。 这是一种滚动式版本升级,工程应用使用python2.X,可以保证工程应用可以长期得...

网站地图

All rights reserved Powered by www.1862.net

copyright ©right 2010-2021。
www.1862.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com